## ubuntu-release-upgrader 24.04.19

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.19) noble; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgradeQuirks: make sure replacement.candidate is not None
    (LP: #2067071)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Jun 2024 11:55:51 -0400

ubuntu-release-upgrader (1:24.04.18) noble; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:39:56 -0400

ubuntu-release-upgrader (1:24.04.17) noble; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.jammy: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200

## ubuntu-release-upgrader 24.04.23

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.23) noble; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.04.22) noble; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * deb2snap: switch snap-store and firmware-updater tracks
    (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 21 Aug 2024 12:55:15 -0400

ubuntu-release-upgrader (1:24.04.21) noble; urgency=medium

  * DistUpgradeQuirks: disable stub resolver on upgrades from jammy
    (LP: #2043820)
  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * DistUpgradeQuirks: abort if system is not /usr-merged
    (LP: #2058648)
  * DistUpgradeQuirks: disable cloud-init on upgrade
    (LP: #2075968)
  * DistUpgradeQuirks: abort if rabbitmq-server installed
    (LP: #2074309)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 09 Aug 2024 15:25:13 -0400

ubuntu-release-upgrader (1:24.04.20) noble; urgency=medium

  [ Mate Kukri ]
  * DistUpgradeQuirks: make sure GRUB "cloud_style_installation" is set in cloud images (LP: #2054103)

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 12 Jul 2024 12:29:55 -0400

## ubuntu-release-upgrader 24.04.24

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.24) noble; urgency=medium

  [ Julian Andres Klode ]
  * Avoid breaking upgrade by treating cross-grades as replacements
    (LP: #2081864)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades
    (LP: #2078639)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 16 Jan 2025 09:49:15 -0500

## ubuntu-release-upgrader 24.04.26

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26) noble; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades,
    uninstalling pulseaudio and preventing install of
    pulseaudio:i386 (LP: #2078639)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 12:11:23 -0500

ubuntu-release-upgrader (1:24.04.25) noble; urgency=medium

  * DistUpgradeQuirks: skip sd-resolved quirk if it's not running (LP: #2078555)
  * Revert "DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades"
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 16:05:37 -0500

## ubuntu-release-upgrader 24.04.26trisquel16.1

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26trisquel16.1) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 15 Jun 2025 04:48:46 +0000

ubuntu-release-upgrader (1:24.04.26) ecne; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades,
    uninstalling pulseaudio and preventing install of
    pulseaudio:i386 (LP: #2078639)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 12:11:23 -0500

ubuntu-release-upgrader (1:24.04.25) ecne; urgency=medium

  * DistUpgradeQuirks: skip sd-resolved quirk if it's not running (LP: #2078555)
  * Revert "DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades"
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 16:05:37 -0500

ubuntu-release-upgrader (1:24.04.24) ecne; urgency=medium

  [ Julian Andres Klode ]
  * Avoid breaking upgrade by treating cross-grades as replacements
    (LP: #2081864)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: install pipewire-audio on trisquel studio upgrades
    (LP: #2078639)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 16 Jan 2025 09:49:15 -0500

ubuntu-release-upgrader (1:24.04.23) ecne; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.04.22) ecne; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * deb2snap: switch snap-store and firmware-updater tracks
    (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 21 Aug 2024 12:55:15 -0400

ubuntu-release-upgrader (1:24.04.21) ecne; urgency=medium

  * DistUpgradeQuirks: disable stub resolver on upgrades from aramo
    (LP: #2043820)
  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * DistUpgradeQuirks: abort if system is not /usr-merged
    (LP: #2058648)
  * DistUpgradeQuirks: disable cloud-init on upgrade
    (LP: #2075968)
  * DistUpgradeQuirks: abort if rabbitmq-server installed
    (LP: #2074309)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 09 Aug 2024 15:25:13 -0400

ubuntu-release-upgrader (1:24.04.20) ecne; urgency=medium

  [ Mate Kukri ]
  * DistUpgradeQuirks: make sure GRUB "cloud_style_installation" is set in cloud images (LP: #2054103)

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 12 Jul 2024 12:29:55 -0400

ubuntu-release-upgrader (1:24.04.19) ecne; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgradeQuirks: make sure replacement.candidate is not None
    (LP: #2067071)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Jun 2024 11:55:51 -0400

ubuntu-release-upgrader (1:24.04.18) ecne; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected trisquel.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:39:56 -0400

ubuntu-release-upgrader (1:24.04.17) ecne; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.aramo: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.aramo: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200

ubuntu-release-upgrader (1:24.04.16) ecne; urgency=medium

  [ Nathan Pratta Teodosio ]
  * DistUpgrade: readfp was replaced by read_file in configparser.
    (LP: #2062435)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 15:44:24 -0400

ubuntu-release-upgrader (1:24.04.15) ecne; urgency=medium

  * DistUpgrade.cfg.aramo: keep {netfilter,iptables}-persistent installed
    (LP: #2061891)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 17 Apr 2024 17:10:33 -0400

ubuntu-release-upgrader (1:24.04.14) ecne; urgency=medium

  [ Brian Murray ]
  * Set prompt to lts because 24.04 is one (LP: #2061214)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: tell apport to ignore update-apt-xapian-index
    (LP: #2058227)
  * DistUpgradeQuirk: fix check for linux-image-raspi in cache (LP: #2061181)


## ubuntu-release-upgrader 24.04.26trisquel16.2

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26trisquel16.2) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 02 Aug 2025 21:35:57 +0000

## ubuntu-release-upgrader 24.04.26+p24.04+vstable+git20250820.0205

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.26+p24.04+vstable+git20250820.0205) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:05:39 +0000

update-manager (1:0.87.3) h

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Build-Depends: apt-clone (>= 0.2.3~ubuntu2),
               debhelper (>= 9),
               dh-python,
               lsb-release,
               pycodestyle,
               python3-all,
               python3-apt (>= 2.7.5),
               python3-distutils-extra,
               python3-update-manager (>= 1:19.04.5),
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64]
Build-Depends-Indep: intltool, libxml-parser-perl
Standards-Version: 4.3.0
Vcs-Git: https://invent.kde.org/neon/forks/ubuntu-release-upgrader.git
Vcs-Browser: https://invent.kde.org/neon/forks/ubuntu-release-upgrader
Maintainer: Neon CI <neon@kde.org>

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ca-certificates,
         python3-distupgrade (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165), update-manager-core (<< 1:0.165)
Breaks: software-properties (<< 0.9.27),
        update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: gpgv,
         lsb-release,
         procps,
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         python3-update-manager (>= 1:19.04.2~),
         python3-yaml,
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends}
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0,
         gir1.2-vte-2.91,
         gir1.2-webkit2-4.1,
         python3-dbus,
         python3-distupgrade (= ${source:Version}),
         python3-gi (>= 3.8),
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         ${misc:Depends},
         ${python3:Depends}
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: psmisc,
         python3-pyqt5,
         ubuntu-release-upgrader-core (= ${source:Version}),
         ${misc:Depends}
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 24.04.27

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27) noble; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2118789)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Jul 2025 12:08:16 -0400

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               python3-all,
               dh-python,
               python3-distutils-extra, 
               python3-apt (>= 2.7.5),
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               python3-update-manager (>= 1:19.04.5),
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version}),
         ca-certificates
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (>= 1:19.04.2~),
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         gpgv,
         lsb-release,
         sensible-utils,
         procps
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi (>= 3.8),
         gir1.2-vte-2.91,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         python3-pyqt5,
         psmisc
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell lsb_release -c -s)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python3
PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py clean -a; \
	done
	find -name __pycache__ | xargs rm -rf
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo

binary: binary-arch binary-indep

binary-indep:
	dh $@ $(DH_ARGS)
	# now the dist-upgrader special tarball
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER)  && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
               $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

override_dh_auto_build:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

override_dh_python3-indep:
	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
	dh_python3 -i
	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin

.PHONY: binary binary-indep

=== debian/tests/control ===
Tests: nose-tests
Depends: @, gir1.2-webkit2-4.1, python3-mock, python3-nose, xvfb, python3-apport, pycodestyle

## ubuntu-release-upgrader 24.04.27trisquel16.2

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.2) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 04 Aug 2025 14:47:38 +0000

ubuntu-release-upgrader (1:24.04.27) ecne; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2118789)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Jul 2025 12:08:16 -0400

## ubuntu-release-upgrader 24.04.27trisquel16.4

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.4) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Aug 2025 01:21:00 +0000

## ubuntu-release-upgrader 24.04.27trisquel16.5

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.5) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Aug 2025 01:04:14 +0000

## ubuntu-release-upgrader 24.04.27trisquel16.7

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel16.7) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 12 Aug 2025 05:06:00 +0000

## ubuntu-release-upgrader 24.04.27trisquel17

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel17) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 01 Sep 2025 09:02:33 +0000

## ubuntu-release-upgrader 24.04.27trisquel18

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel18) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 07 Oct 2025 20:06:07 +0000

## ubuntu-release-upgrader 24.04.27trisquel19

=== data/Makefile ===

DOMAIN=trisquel-release-upgrader
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=trisquel-release-upgrader
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de
XGETTEXT_ARGS = --msgid-bugs-address=$(CONTACT)
XGETTEXT_ARGS += --keyword=unicode_gettext:2 --keyword=unicode_ngettext:2,3

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS="$(XGETTEXT_ARGS)" intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel19) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Oct 2025 07:37:51 +0000

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 9), 
               python3-all,
               dh-python,
               python3-distutils-extra, 
               python3-apt (>= 2.7.5),
               lsb-release,
               python3-update-manager (>= 1:19.04.5),
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/trisquel-release-upgrader -b trisquel/main

Package: trisquel-release-upgrader-core
Provides: ubuntu-release-upgrader-core (= ${source:Version})
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version}),
         ca-certificates
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Trisquel Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (>= 1:19.04.2~),
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         gpgv,
         lsb-release,
         sensible-utils,
         procps
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: trisquel-release-upgrader-gtk
Provides: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         trisquel-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi (>= 3.8),
         gir1.2-vte-2.91,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1
Description: manage release upgrades
 This is the GTK+ frontend of the Trisquel Release Upgrader

Package: trisquel-release-upgrader-qt
Provides: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         trisquel-release-upgrader-core (= ${source:Version}),
         python3-pyqt5,
         psmisc
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Trisquel Release Upgrader

=== debian/rules ===
--- 
+++ 
@@ -48,10 +48,10 @@
 	done
 
 override_dh_python3-indep:
-	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
-	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
+	mkdir -p debian/trisquel-release-upgrader-gtk/usr/bin
+	cp ./debian/trisquel-release-upgrader-gtk/usr/lib/trisquel-release-upgrader/check-new-release-gtk debian/trisquel-release-upgrader-gtk/usr/bin
 	dh_python3 -i
-	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
-	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin
+	rm ./debian/trisquel-release-upgrader-gtk/usr/bin/check-new-release-gtk
+	rmdir debian/trisquel-release-upgrader-gtk/usr/bin
 
 .PHONY: binary binary-indep

## ubuntu-release-upgrader 24.04.27trisquel20

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27trisquel20) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Oct 2025 07:38:23 +0000

## ubuntu-release-upgrader 24.04.27+p24.04+vrelease+git20250820.0238

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27+p24.04+vrelease+git20250820.0238) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:38:23 +0000

## ubuntu-release-upgrader 24.04.27+p24.04+vstable+git20250820.0238

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27+p24.04+vstable+git20250820.0238) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:38:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
 		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
 		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo
+	# Pre build on neon CI builds.
+	if [ -e /tooling ]; then ./pre-build.sh; fi
 
 binary: binary-arch binary-indep
 
@@ -46,12 +48,13 @@
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done
+	sed -i 's/Ubuntu/KDE neon/g' $(CURDIR)/debian/tmp/usr/share/polkit-1/actions/com.ubuntu.release-upgrader.policy
 
 override_dh_python3-indep:
-	mkdir -p debian/trisquel-release-upgrader-gtk/usr/bin
-	cp ./debian/trisquel-release-upgrader-gtk/usr/lib/trisquel-release-upgrader/check-new-release-gtk debian/trisquel-release-upgrader-gtk/usr/bin
+	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
+	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
 	dh_python3 -i
-	rm ./debian/trisquel-release-upgrader-gtk/usr/bin/check-new-release-gtk
-	rmdir debian/trisquel-release-upgrader-gtk/usr/bin
+	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
+	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin
 
 .PHONY: binary binary-indep

## ubuntu-release-upgrader 24.04.27+p24.04+vunstable+git20250820.0238

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.27+p24.04+vunstable+git20250820.0238) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 20 Aug 2025 02:38:34 +0000

## ubuntu-release-upgrader 24.04.28

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.28) noble; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2138637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 19 Jan 2026 16:31:44 +0100

## ubuntu-release-upgrader 24.04.28trisquel20

=== debian/changelog ===
ubuntu-release-upgrader (1:24.04.28trisquel20) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 28 Jan 2026 22:52:26 +0000

ubuntu-release-upgrader (1:24.04.28) ecne; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2138637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 19 Jan 2026 16:31:44 +0100

## ubuntu-release-upgrader 24.10.4

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.4) oracular; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * DistUpgradeQuirks: drop t64 replacement quirk
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 05 Jun 2024 16:58:21 -0400

ubuntu-release-upgrader (1:24.10.3) oracular; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:29:17 -0400

ubuntu-release-upgrader (1:24.10.2) oracular; urgency=medium

  * data/release-upgrades: set Prompt=normal for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 15:26:36 -0400

ubuntu-release-upgrader (1:24.10.1) oracular; urgency=medium

  * Update for oracular
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 06 May 2024 10:26:52 -0400

## ubuntu-release-upgrader 24.10.5

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.5) oracular; urgency=medium

  [ Nick Rosbrook ]
  * Only rewrite deb822 sources on upgrade
    - DistUpgradeController: migrate to deb822 before updating sources
    - DistUpgrade: don't make Deb822SourceEntry import conditional
    - DistUpgrade: only leave comment in sources.list if we migrated it
    - DistUpgrade: handle deb822 migration rollback on abort
    - DistUpgrade: clean up backup sources
  * Remove dead code
    - DistUpgradeQuirks: remove unused quirks
    - test: remove unused interactive_fetch_release_upgrader.py
    - DistUpgrade: remove old and unused DistUpgradePatcher
    - DistUpgrade: remove unused zz-update-grub
    - DistUpgrade: remove apt_clone.py symlink
    - DistUpgrade: remove imported/invoke-rc.d.diff
    - DistUpgradeController: remove .list update/re-write functions
    - DistUpgradeController: remove unused distro.py import and symlink
    - DistUpgrade: remove DistUpgradeQuirks.run
    - DistUpgrade: remove un-used PreRequists logic
    - all: remove unused config and test data
    - all: remove unused imports
    - DistUpgradeCache: remove unused methods and variables
  * DistUpgrade: fix several typos of 'upgrade'
  * DistUpgradeController: fix attribute typos
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Jul 2024 15:04:57 -0400

## ubuntu-release-upgrader 24.10.13

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.13) oracular; urgency=medium

  * deb2snap: change thunderbird metapkg to ubuntu-desktop (LP: #2083616)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 03 Oct 2024 10:22:55 -0400

ubuntu-release-upgrader (1:24.10.12) oracular; urgency=medium

  * DistUpgrade: do not offer snap revert suggestion (LP: #2083522)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 02 Oct 2024 10:54:12 -0400

ubuntu-release-upgrader (1:24.10.11) oracular; urgency=medium

  [ Nick Rosbrook ]
  * deb2snap: update for oracular release (LP: #2083311)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Chris Peterson ]
  * DistUpgradeQuirks: add hook to disable kdump-tools (LP: #2083455)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 01 Oct 2024 21:03:18 -0400

ubuntu-release-upgrader (1:24.10.10) oracular; urgency=medium

  * Revert "DistUpgradeQuirks: prevent upgrades if zfs module is loaded"
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Sep 2024 16:38:35 -0400

ubuntu-release-upgrader (1:24.10.9) oracular; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.10.8) oracular; urgency=medium

  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * DistUpgradeQuirks: prevent upgrades if zfs module is loaded
  * deb2snap: switch snap-store and firmware-updater tracks (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 23 Aug 2024 09:22:42 -0400

ubuntu-release-upgrader (1:24.10.7) oracular; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 13 Aug 2024 10:56:29 -0400

ubuntu-release-upgrader (1:24.10.6) oracular; urgency=medium

  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 06 Aug 2024 16:48:41 -0400

## ubuntu-release-upgrader 24.10.14

=== debian/changelog ===
ubuntu-release-upgrader (1:24.10.14) oracular; urgency=medium

  * d/control: add qt6 dependencies needed on upgrade to plucky (LP: #2095535)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 14 Apr 2025 13:37:06 -0400

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               python3-all,
               dh-python,
               python3-distutils-extra, 
               python3-apt (>= 2.7.5),
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               python3-update-manager (>= 1:19.04.5),
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     intltool
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version}),
         ca-certificates
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager (>= 1:19.04.2~),
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         gpgv,
         lsb-release,
         sensible-utils,
         procps
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi (>= 3.8),
         gir1.2-vte-2.91,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         python3-pyqt5,
         pyqt6-dev-tools,
         python3-pyqt6,
         python3-pyqt6.qtquick,
         psmisc
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 25.04.1

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.1) plucky; urgency=medium

  * Welcome to the Plucky Puffin!
  * Port the KDE frontend to Qt 6.
  * Run wrap-and-sort.
  * Update Standards-version to 4.7.0, no changes needed.
  * Update to debhelper 13.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:00:52 -0500

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: apt-clone (>= 0.2.3~ubuntu2),
               debhelper-compat (= 13),
               dh-python,
               lsb-release,
               python3-all,
               python3-apt (>= 2.7.5),
               python3-distutils-extra,
               python3-update-manager (>= 1:19.04.5),
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64]
Build-Depends-Indep: intltool, libxml-parser-perl
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/ubuntu-release-upgrader -b ubuntu/main

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ca-certificates,
         python3-distupgrade (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165), update-manager-core (<< 1:0.165)
Breaks: software-properties (<< 0.9.27),
        update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: gpgv,
         lsb-release,
         procps,
         python3-apt (>= 0.8.5~),
         python3-dbus,
         python3-distro-info,
         python3-update-manager (>= 1:19.04.2~),
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends}
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: gir1.2-gtk-3.0,
         gir1.2-vte-2.91,
         gir1.2-webkit2-4.1,
         python3-dbus,
         python3-distupgrade (= ${source:Version}),
         python3-gi (>= 3.8),
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         ${misc:Depends},
         ${python3:Depends}
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: psmisc,
         pyqt6-dev-tools,
         python3-pyqt6,
         ubuntu-release-upgrader-core (= ${source:Version}),
         ${misc:Depends}
Recommends: qttranslations5-l10n
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

=== debian/tests/control ===
Tests: nose-tests
Depends: gir1.2-webkit2-4.1,
         pycodestyle,
         python3-apport,
         python3-mock,
         python3-nose,
         xvfb,
         @

## ubuntu-release-upgrader 25.04.2

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.2) plucky; urgency=medium

  [ Florent 'Skia' Jacquet ]
  * DistUpgrade: refresh announcements with more up-to-date means of communications
    (LP: #2084159)

  [ Nick Rosbrook ]
  * DistUpgrade: remove ValidOrigin config option
  * DistUpgrade: warn about foreign packages after rewriting sources
  * DistUpgrade: remove _expandUri from fetcher
  * DistUpgrade: handle common apt source errors during rewrite
  * test: ensure suites and components are always sorted
  * DistUpgrade: remove unnecessary DistUpgradeController.useNetwork attribute
  * all: do not track demotions
  * DistUpgrade: remove dead cdrom adapter code
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 20 Dec 2024 10:30:02 -0500

## ubuntu-release-upgrader 25.04.3

=== debian/changelog ===
ubuntu-release-upgrader (1:25.04.3) plucky; urgency=medium

  * DistUpgradeQuirks: refresh snaps at very end of upgrade (LP: #2083942)
  * DistUpgradeController: remove extra argument to view.confirmChanges
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 14 Jan 2025 15:35:54 -0500

=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell lsb_release -c -s)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog | sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python3 --buildsystem=pybuild
PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py clean -a; \
	done
	find -name __pycache__ | xargs rm -rf
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST) ./DistUpgrade/$(DIST).tar.gz \
		./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo

override_dh_auto_build:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
	done

override_dh_auto_install:
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done
	# Remove .egg-info files
	find debian/tmp -name '*.egg-info' -exec rm -rf {} +

override_dh_python3-indep:
	mkdir -p debian/ubuntu-release-upgrader-gtk/usr/bin
	cp ./debian/ubuntu-release-upgrader-gtk/usr/lib/ubuntu-release-upgrader/check-new-release-gtk debian/ubuntu-release-upgrader-gtk/usr/bin
	dh_python3 -i
	rm ./debian/ubuntu-release-upgrader-gtk/usr/bin/check-new-release-gtk
	rmdir debian/ubuntu-release-upgrader-gtk/usr/bin

override_dh_missing:
	dh_missing --exclude='*.egg-info' --fail-missing

binary: binary-arch binary-indep

binary-indep:
	dh $@ $(DH_ARGS)
	# Special tarball for dist-upgrader
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER) && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
	       $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

.PHONY: binary binary-indep
